Name: Java-WebSocket
Version: 1.3.0
Release: 1%{?dist}
Summary: A barebones WebSocket client and server implementation written in 100% Java

License: MIT
URL: http://java-websocket.org/
Source0: https://github.com/TooTallNate/%{name}/archive/%{name}-%{version}.tar.gz
BuildArch: noarch

BuildRequires: maven-local
BuildRequires: mvn(net.iharder:base64)

%description
A barebones WebSocket server and client implementation written in 100% Java.
The underlying classes are implemented java.nio, which allows for a non-blocking
event-driven model (similar to the WebSocket API for web browsers).

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n Java-WebSocket-Java-WebSocket-%{version}

#gradle wrapper
%{__rm} -rf gradle/ gradlew*

find -name "*.jar" -delete
find -name "*.js" -delete
find -name "*.swf" -delete

%{__rm} -f src/main/java/org/java_websocket/util/Base64.java
find -name "*.java" -exec sed -i "s/org.java_websocket.util.Base64/net.iharder.Base64/g" {} +
%pom_add_dep net.iharder:base64:2.3.8
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.markdown
%license LICENSE

%files javadoc -f .mfiles-javadoc
%doc README.markdown
%license LICENSE

%changelog
* Sun Jun 14 2015 Jonny Heggheim <hegjon@gmail.com> - 1.3.0-1
- Inital packaging
